<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mosty.base.manager.mapper.TpJcglZbflMapper">
    <update id="updateZt">
        update tb_jcgl_zbfl set xt_scbz = '1' where pcode=#{scode} or scode=#{scode}
    </update>
    <update id="updateType">
        update tb_jcgl_zbfl set xt_scbz = '1' where id=#{id}
    </update>


    <select id="selectMaxCode" resultType="java.lang.String">
        SELECT max(replace(scode,'ZB',''))scode FROM `tb_jcgl_zbfl`
    </select>
</mapper>
